Subject: Re: [mpls] WGLC for draft-ietf-mpls-ldp-yang

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Tue, 9 Oct 2018 18:23:26 +0000

Thanks Tom,

We are addressing the comments and going to spin new rev shortly.
Rgds.
--
Kamran
(on behalf of authors)

On 2018-07-28, 6:32 AM, "tom petch" <[email-masked]> wrote:

    The YANG module is deficient in a number of respects, which I have come
    to think of as boiler plate issues, since they are deficient in almost
    all the I-Ds from the Routing Area:-)
    
    - RFC2119 boiler plate lacks reference to RFC8174 and you have lower
    case 'should'
    
    - NMDA is mentioned in the Introduction but it is usually called out in
    the Abstract as well
    
    - no Note to RFC Editor asking them to replace XXXX with the number
    assigned to this RFC
    
    - no Note to RFC Editor asking them to replace the four dates in the
    YANG modules with the date of publication
    
    - no YANG Version statement in the YANG modules
    
    - no mention of the current YANG 1.1 RFC
    
    - no reference statements for the import modules in the YANG modules and
    their RFC are missing from the Normative References of the I-D
    
    - no Informative Reference to the Tree Diagrams RFC8340
    
    - Security Considerations do not conform to rfc6087bis and lack the
    Normative References that that calls for
    
    - you MUST have IANA Considerations else you do not have a YANG module
    
    - the reference for
       [I-D.ietf-netmod-revised-datastores]
    is out of date
    
    - RFC6536 has been superseded
    
    - the reference for
    [I-D.ietf-mpls-mldp-yang]
    is out of date
    
    Incidentally, the authors of
    draft-ietf-mpls-mldp-yang-04
    might learn something from this list.
    
    Tom Petch
    
    ----- Original Message -----
    From: <[email-masked]>
    To: <[email-masked]>
    Cc: <[email-masked]>; <[email-masked]>
    Sent: Wednesday, July 25, 2018 4:11 PM
    
    > Dear Working Group,
    >
    > This mail initiates the two week working group last call on
    draft-ietf-mpls-ldp-yang- which is considered
    > mature and ready for a final working group review.
    >
    > Please read this document if you haven't read the most recent version
    yet, and send your comments to
    > the list, not later than 10th of August.
    >
    > There are no IPR disclosures against draft-ietf-mpls-ldp-yang.
    >
    > This working group last call ends August 10th, 2018.
    >
    > Best regards
    >
    >    Nic
    >
    > _______________________________________________
    > mpls mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/mpls